Posted by Mark_F
Digon

Running v12.0.137452 AND latest Teamviewer on the same Linux machine?

Hi all,

I am facing the following challenge:

I would like to be able to remote in to my Samsung Android phone (running a custom ROM) AND be able to e.g. help out family members on their Windows and Linux machines from my Linux Mint 19.1 Cinnamon desktop.

To be able to remote in to my Android device that is running the Teamviewer Quicksupport, which I keep up to date, I have to have Teamviewer v12.0.137452 installed on the Linux desktop to successfully connect to the Android device. Yes, it works.

Here is how to obtain that v12.x.x version for Linux.
https://askubuntu.com/Questions/912872/Cant-Install-Teamviewer-12-On-Ubuntu-16-04-64bit-Dependency-L...

On the other hand when I want to connect to more up to date versions of Teamviewer on other Windows and Linux desktops the rather old v12.0.137452 won't allow me to.

So:
1) How could I solve this dilemma?
2) Is there a way to have two Teamviewer instances installed at the same time? Unfortunately there does not seem to be a portable version for Linux.
3) How long will Teamviewer 12 continue to work, allowing the connecting from Linux<>Android Teamviewer Quicksupport now that customers/users are asked to at least upgrade to Teamviewer 14?

Thanks a lot in advance.